<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: counter_beh Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classcounter.html">counter</a></li><li class="navelem"><a class="el" href="classcounter_1_1counter__beh.html">counter_beh</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">counter_beh Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classcounter_1_1counter__beh-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a2c9b5630c86ae1c7269e3192b89c61e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c9b5630c86ae1c7269e3192b89c61e4"></a>
<a class="el" href="classcounter_1_1counter__beh.html#a2c9b5630c86ae1c7269e3192b89c61e4">PROCESS_820</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">dclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:ae4f03c286607f3181e16b9aa12d0c6d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4f03c286607f3181e16b9aa12d0c6d4"></a>
<a class="el" href="classcounter_1_1counter__beh.html#ae4f03c286607f3181e16b9aa12d0c6d4">IEEE</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:aa4b2b25246a821511120e3149b003563"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4b2b25246a821511120e3149b003563"></a>
<a class="el" href="classcounter_1_1counter__beh.html#aa4b2b25246a821511120e3149b003563">STD_LOGIC_1164</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a241c3e72dd8024cc8ae831b1b2aed7db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a241c3e72dd8024cc8ae831b1b2aed7db"></a>
<a class="el" href="classcounter_1_1counter__beh.html#a241c3e72dd8024cc8ae831b1b2aed7db">STD_LOGIC_UNSIGNED</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a5d8c1f7c620a51582be96d2a58d40293"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d8c1f7c620a51582be96d2a58d40293"></a>
<a class="el" href="classcounter_1_1counter__beh.html#a5d8c1f7c620a51582be96d2a58d40293">STD_LOGIC_ARITH</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:ae00f3f04545af57582ff10609eee23e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae00f3f04545af57582ff10609eee23e2"></a>
<a class="el" href="classcounter_1_1counter__beh.html#ae00f3f04545af57582ff10609eee23e2">NUMERIC_STD</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ac6fddf91b7f7f0e347c209535d513409"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6fddf91b7f7f0e347c209535d513409"></a>
<a class="el" href="classcounter_1_1counter__beh.html#ac6fddf91b7f7f0e347c209535d513409">count_lock_out_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="s6link__agc__loop__fsm_8vhd_source.html#l00290">290</a> of file <a class="el" href="s6link__agc__loop__fsm_8vhd_source.html">s6link_agc_loop_fsm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/S6Link/<a class="el" href="s6link__agc__loop__fsm_8vhd_source.html">s6link_agc_loop_fsm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
